#include <GloboSonda.h>
//pines sensor presion atmosferica
#define SCK_BMP 14
#define MISO_BMP 12 //SD0
#define MOSI_BMP 13 //SD1
#define CS_BMP 15

SensorBMP bmp(CS_BMP);

uint32_t milis_ultimos;

void setup() {
  //Utiles::Debug=true;
  //Inicializa el puerto COM
  Serial.begin(9600);
  Serial.println("Iniciando");
  //Inicializa los milis
  milis_ultimos=millis();
}

void loop() {
  int intervalo = 3000;//cada 3 segundos
  uint32_t milis_actuales;
  milis_actuales = millis();
  if(milis_actuales-milis_ultimos>intervalo)
  {    
    //Ha pasado el tiempo del intervalo, se hacen las medidas
    double temp = bmp.GetT();
    double pres = bmp.GetP();
    double alt = bmp.GetA();
    
    //se escribe la información
    Serial.print("Temperatura: ");
    Serial.print(temp);
    Serial.println(" ºC");
    Serial.print("Presión: ");
    Serial.print(pres);
    Serial.println(" bar");
    Serial.print("Altitud: ");
    Serial.print(alt);
    Serial.println(" m");
    
    //Actualiza el ultimo tiempo leído
    milis_ultimos=millis();
  }
}
